clang-tools 10.0.0

Namespaces | Functions
Format.cpp File Reference
`#include "Format.h"`
`#include "Logger.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Format/Format.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Tooling/Core/Replacement.h"`
`#include "llvm/Support/Unicode.h"`
Include dependency graph for Format.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::vector< tooling::Replacement > | clang::clangd::formatIncremental (llvm::StringRef Code, unsigned Cursor, llvm::StringRef InsertedText, format::FormatStyle Style)
| Applies limited formatting around new `InsertedText`. More...
unsigned | clang::clangd::transformCursorPosition (unsigned Offset, const std::vector< tooling::Replacement > &Replacements)
| Determine the new cursor position after applying `Replacements`. More...

## Variable Documentation

## ◆ Changes

tooling::Replacements Changes

Definition at line 108 of file Format.cpp.

Referenced by clang::clangd::BackgroundQueue::boost(), and clang::clangd::OverlayCDB::OverlayCDB().

## ◆ CursorPlaceholder

std::string CursorPlaceholder

Definition at line 115 of file Format.cpp.

## ◆ FormatRanges

std::vector<tooling::Range> FormatRanges

Definition at line 111 of file Format.cpp.